//*****************************************************************************
//*
//*
//*		MainFrm.h
//*
//*
//*****************************************************************************
// MainFrm.h : interface of the CMainFrame class

#ifndef		AFX_MAINFRM_H__5ADB2D10_4246_40D6_8535_1CC95673A8CC__INCLUDED_
#define		AFX_MAINFRM_H__5ADB2D10_4246_40D6_8535_1CC95673A8CC__INCLUDED_	

#if _MSC_VER > 1000
#pragma		once						
#endif


//*****************************************************************************
//*
//*		Klasse CMainFrame
//*
//*****************************************************************************
class CMainFrame : public CFrameWnd
{

protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

public:

	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT &sCreate);
	//}}AFX_VIRTUAL

public:

	virtual ~CMainFrame();
	#ifdef		_DEBUG					
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext &sDc) const;
	#endif

protected:

	CStatusBar	m_wndStatusBar;
	CToolBarNew	m_wndToolBar;

protected:

	//{{AFX_MSG(CMainFrame)
	afx_msg int  OnCreate(LPCREATESTRUCT pCreateStruct);
	afx_msg void OnTimer(UINT_PTR nIdEvent);
	afx_msg void OnFlatBar();
	afx_msg void OnFlatBarUI(CCmdUI *pCmdUI);
	afx_msg void OnFixWindow();
	afx_msg void OnFixWindowUI(CCmdUI *pCmdUI);
	afx_msg void OnConnect();
	afx_msg void OnConnectUI(CCmdUI *pCmdUI);
	afx_msg void OnDisconnect();
	afx_msg void OnDisconnectUI(CCmdUI *pCmdUI);
	//}}AFX_MSG
	
	afx_msg void    OnDrawStatusBar(CStatusBar *pBar,LPDRAWITEMSTRUCT pDraw);

	DECLARE_MESSAGE_MAP()
	DECLARE_MENUICON_PROC()
	DECLARE_STATUSBAR_PROC()

	BOOL	m_bFlatMode;
	BOOL	m_bWindowFixed;

};


//{{AFX_INSERT_LOCATION}}

#endif
