//*****************************************************************************
//*
//*
//*		NetStatEx.cpp
//*
//*
//*****************************************************************************
// NetStatEx.cpp : Defines the class behaviors for the application.
//
#include	"StdAfx.h"
#include	"NetStatEx.h"

#include	"MainFrm.h"
#include	"NetStatExDoc.h"
#include	"NetStatExView.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif


BEGIN_MESSAGE_MAP(CNetStatExApp, CWinApp)
	//{{AFX_MSG_MAP(CNetStatExApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	//}}AFX_MSG_MAP
	ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
END_MESSAGE_MAP()

CNetStatExApp theApp;

//*****************************************************************************
//*
//*		CNetStatExApp
//*
//*****************************************************************************
CNetStatExApp::CNetStatExApp()
{
}


//*****************************************************************************
//*
//*		InitInstance
//*
//*****************************************************************************
BOOL CNetStatExApp::InitInstance()
{

	AfxUtilityInit();
	AfxEnableControlContainer();

	#ifdef		_AFXDLL 				
	Enable3dControls(); 										// Call this when using MFC in a shared DLL
	#else
	Enable3dControlsStatic();									// Call this when linking to MFC statically
	#endif

	SetRegistryKey(_T("AZ"));
	LoadStdProfileSettings();									// Load standard INI file options (including MRU)

	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(IDR_MAINFRAME,RUNTIME_CLASS(CNetStatExDoc),RUNTIME_CLASS(CMainFrame),RUNTIME_CLASS(CNetStatExView));	// main SDI frame window
	AddDocTemplate(pDocTemplate);

	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);

	if(!ProcessShellCommand(cmdInfo))
		{
		return FALSE;
		}

	m_pMainWnd->ShowWindow(SW_SHOW);
	m_pMainWnd->UpdateWindow();


return TRUE;
}


//*****************************************************************************
//*
//*		OnAppAbout
//*
//*****************************************************************************
void CNetStatExApp::OnAppAbout()
{
CDialog		sDlg(IDD_ABOUTBOX);


	sDlg.DoModal();
}



