//*****************************************************************************
//*
//*
//*		ConnectDlg.cpp
//*
//*
//*****************************************************************************
#include	"StdAfx.h"
#include	"NetStatEx.h"
#include	"ConnectDlg.h"

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif

BEGIN_MESSAGE_MAP(CConnectDlg, CDialog)
	//{{AFX_MSG_MAP(CConnectDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

DLG_OLDPOS(CConnectDlg)



//*****************************************************************************
//*
//*		CConnectDlg Dialog
//*
//*****************************************************************************
CConnectDlg::CConnectDlg(CWnd *pParent): CDialog(CConnectDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(CConnectDlg)
	m_sServer	= _T("");
	m_sLogin	= _T("");
	m_sPassword = _T("");
	m_iMode		= 0;
	//}}AFX_DATA_INIT

	m_iPort		= 0;
}


//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CConnectDlg::DoDataExchange(CDataExchange *pDX)
{
	CDialog::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CConnectDlg)
	DDX_CBString(pDX, IDC_COMBO1, m_sServer);
	DDX_CBString(pDX, IDC_COMBO2, m_sLogin);
	DDX_Text    (pDX, IDC_EDIT1,  m_sPassword);
	DDX_Text    (pDX, IDC_EDIT2,  m_sPort);
	DDX_Radio   (pDX, IDC_RADIO1, m_iMode);
	//}}AFX_DATA_MAP

}


//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
BOOL CConnectDlg::OnInitDialog() 
{
CRegKeys	sKey;

	
	SET_DLG_OLDPOS();

	sKey.Open();
	sKey.Get(m_sPassword,"Password");
	sKey.Get(m_iMode    ,"ConnMode");
	sKey.Get(m_iPort    ,"TcpPort" );

	m_sPort.Format("%i",m_iPort);

	ComboBoxLoad(this,IDC_COMBO1,"#ServerList","#",m_sServer);
	ComboBoxLoad(this,IDC_COMBO2,"#LoginList" ,"#",m_sLogin);

	
	CDialog::OnInitDialog();
	
	
return TRUE;
}

//*****************************************************************************
//*
//*		OnCancel
//*
//*****************************************************************************
void CConnectDlg::OnCancel() 
{
	
	GET_DLG_OLDPOS();
	
	CDialog::OnCancel();
}

//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CConnectDlg::OnOK() 
{
CRegKeys	sKey;


	UpdateData();


	if(m_sServer.IsEmpty())
		{
		MessageBox("Bitte einen Server angeben !","Fehler",MB_OK|MB_ICONERROR);
		return;
		}
	
	GET_DLG_OLDPOS();

	m_iPort = atoi(m_sPort);

	sKey.Open();
	sKey.Set(m_sPassword,"Password");
	sKey.Set(m_iMode    ,"ConnMode");
	sKey.Set(m_iPort    ,"TcpPort" );

	ComboBoxSave(this,IDC_COMBO1,"#ServerList","#");
	ComboBoxSave(this,IDC_COMBO2,"*LoginList" ,"#");
	
	CDialog::OnOK();

}
